import SystemSettings from './systemSettings'
import getInfo from '../package/utils'

const components = [
  SystemSettings
]

const install = function(Vue) {
  if(install.installed) return
  components.forEach(component => Vue.component(component.name, component))
}

if(typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  SystemSettings,
  getInfo
}