export default function getInfo(base, callback) {
  fetch(`${base}/setting/list`)
  .then(response => {
    return response.json();
  })
  .then(res =>  {
    if(res && res.code == 0) {
      let iconEle = document.querySelector("link[rel*='icon']")
      let result = res.result
      if(result.browserName) {
        document.title = result.browserName
      }
      if(result.browserIcon && iconEle) {
        iconEle.href = result.browserIcon
      }
      sessionStorage.setItem('systemOptions', JSON.stringify(result))
      callback && callback(result)
    }else {
      alert(res.message);
    }
  });
}